%global __requires_exclude ^perl\\(.*\\.pl\\)|^perl\\(vboxService\\)
%global __provides_exclude ^perl\\(vboxService\\)


Name:           remotebox
Version:        2.8
Release:        %mkrel 1
Summary:        A VirtualBox client with remote management
License:        GPLv2+
Group:          Emulators
URL:            http://knobgoblin.org.uk
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  desktop-file-utils
Requires:       perl-Gtk2
Requires:       freerdp
Requires:       xdg-utils 
Requires:       perl-SOAP-Lite >= 1.10

%description
VirtualBox is traditionally considered to be a virtualization solution aimed 
at the desktop as opposed to other solutions such as KVM, Xen and VMWare ESX 
which are considered more server orientated solutions. While it is certainly 
possible to install VirtualBox on a server, it offers few remote management 
features beyond using the vboxmanage command line. RemoteBox aims to fill 
this gap by providing a graphical VirtualBox client which is able to 
communicate with and manage a VirtualBox server installation. 


%prep
%setup -q 
# Set the locations of Remotebox's files
sed -i 's|\$Bin/share/remotebox|%{_datadir}/%{name}|g' remotebox
sed -i 's|\$Bin/docs|%{_docdir}/%{name}-%{version}|g' remotebox


%build


%install
rm -rf %{buildroot}
mkdir -p -m0755 %{buildroot}%{_datadir}/{%{name},pixmaps,applications}
mkdir -m0755 %{buildroot}%{_bindir}
install -p -m0755 %{name} %{buildroot}%{_bindir}
cp -a share/%{name}/* %{buildroot}%{_datadir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=RemoteBox
Comment=Remote VirtualBox client
Exec=remotebox
Icon=remotebox
Terminal=false
Type=Application
StartupNotify=false
Categories=Emulator;System;X-MandrivaLinux-MoreApplications-Emulators;
EOF

# icon 
install -p -m0644 share/%{name}/icons/%{name}.png \
%{buildroot}%{_datadir}/pixmaps



%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%{update_menus}


%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%doc docs/changelog.txt docs/%{name}.pdf docs/COPYING
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_bindir}/%{name}


%changelog

* Tue Nov 23 2021 Agent Smith <ruidobranco@yahoo.com.br> 2.8-1pclos2021
- Updated with latest sources, Virtual Box 6.1.x

* Mon Mar 30 2020 Agent Smith <ruidobranco@yahoo.com.br> 2.7-1pclos2020
- Updated with latest sources, Virtual Box 6.1.x

* Wed Jun 26 2019 Agent Smith <ruidobranco@yahoo.com.br> 2.6-1pclos2019
- Updated with latest sources, Virtual Box 6.0.x

* Sat Feb 01 2014 Ken <lxgator at gmail.com> 1.7-1pclos2014
- Initial pkg
